from PySide import QtCore, QtGui, QtNetwork

class HelperClass(object):
    def __init__(self, f, o, s):
        self.f = f
        self.o = o
        self.s = s

    def handler(self, *args):
        try:
            if self.s:
                try:
                    self.o.show()
                    self.o.raise_()
                    self.o.activateWindow()
                except:
                    pass

            self.f(*args)
        except Exception as e:
            QtGui.QMessageBox.warning(self.o, "Unexpected exception", "Unexpected exception:\n" + str(e))

def ExceptionWarning(realFunction, raiseWindow = True):

    owner = realFunction.__self__
    x = HelperClass(realFunction, owner, raiseWindow)

    try:
        owner.justSomeNameToAvoidGarbaseCollection.append(x)
    except:
        owner.justSomeNameToAvoidGarbaseCollection = [ x ]

    return x.handler

