#!/bin/bash

(
cat << EOF
<!doctype html>
<html itemscope itemtype="http://schema.org/Product">
    <head>
    	<title>SherPass</title>
        <link rel="stylesheet" href="sherpass.css">
        <link rel="shortcut icon" href="/favicon.png" type="image/png">

	<meta property="og:image" content="https://sherpass-lite.appspot.com/icon2.png" />
	<meta property="og:url" content="https://sherpass-lite.appspot.com/about.html" />
	<meta property="og:description" content="Manage your passwords, share them if you need to." />
	<meta property="og:site_name" content="SherPass" />
	<meta property="og:title" content="SherPass" />
	
	<meta itemprop="name" content="SherPass">
	<meta itemprop="description" content="Manage your passwords, share them if you need to.">
	<meta itemprop="image" content="https://sherpass-lite.appspot.com/icon.png">
    </head>
    <body>
	<div id="fb-root"></div>
	<script>
	(function(d, s, id) {
	  var js, fjs = d.getElementsByTagName(s)[0];
	  if (d.getElementById(id)) return;
	  js = d.createElement(s); js.id = id;
	  js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.0";
	  fjs.parentNode.insertBefore(js, fjs);
	}(document, 'script', 'facebook-jssdk'));
	</script>

	<div id="logo2div">
    		<img id="logo2" src="sherpass3.svg" onclick="window.open('/','_self');" /><br>
		<div class="g-plusone" data-size="medium" data-href="https://sherpass-lite.appspot.com/about.html"></div><br>
		<div class="fb-like" data-href="https://sherpass-lite.appspot.com/about.html" data-layout="button_count" data-action="like" data-show-faces="true" data-share="false"></div><br>
	</div>

EOF

VERSION=`cat ../../VERSION`
sed -e "s/VERSIONPLACEHOLDER/$VERSION/g" about.txt | Markdown.pl

cat << EOF

	<!-- Place this tag after the last +1 button tag. -->
	<script type="text/javascript">
	  (function() {
	    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
	    po.src = 'https://apis.google.com/js/platform.js';
	    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
	  })();
	</script>
    </body>
</html>
EOF

) > about.html
